# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import shortuuidfield.fields
import django.core.validators


class Migration(migrations.Migration):

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Attachment",
            fields=[
                ("file_name", models.CharField(max_length=64)),
                (
                    "ident_main",
                    shortuuidfield.fields.ShortUUIDField(
                        max_length=22,
                        serialize=False,
                        editable=False,
                        primary_key=True,
                        blank=True,
                    ),
                ),
                (
                    "ident_mini",
                    shortuuidfield.fields.ShortUUIDField(
                        max_length=22,
                        unique=True,
                        null=True,
                        editable=False,
                        blank=True,
                    ),
                ),
                ("file_type", models.CharField(max_length=4)),
                ("file_size", models.PositiveIntegerField(blank=True)),
                (
                    "namespace",
                    models.CharField(
                        max_length=32,
                        validators=[
                            django.core.validators.RegexValidator(b"^[a-z0-9_]+$")
                        ],
                    ),
                ),
                ("owner_id", models.IntegerField(default=0)),
                ("last_update", models.DateTimeField(auto_now=True)),
            ],
            options={},
            bases=(models.Model,),
        ),
    ]
